# Search

## Overview

This menu item contains all Searching related commands.

## Commands Summary

A summary of commands available via clicking on this menu item:

| Command                       | Summary                                                                                            |
| ----------------------------- | -------------------------------------------------------------------------------------------------- |
| [Search](#search-1)           | Opens the [Search](/reference/servoy-developer/object-editors/search-wizard.md) wizard             |
| [File](#file)                 | Opens the [Search](/reference/servoy-developer/object-editors/search-wizard.md) wizard             |
| [Text](#text)                 | Searches the text in the selected location                                                         |
| [Quick Search](#quick-search) | Opens the [Quick Search](/reference/servoy-developer/object-editors/quick-search-wizard.md) wizard |

## Commands Details

The details for each command available via clicking on this menu item:

### Search

keybinding: `Ctrl+H`\
Opens the [Search](/reference/servoy-developer/object-editors/search-wizard.md) wizard.

### File

Opens the [Search](/reference/servoy-developer/object-editors/search-wizard.md) wizard.

### Text

Opens a sub-list of available places where the selected text should be searched in:

* **Workspace**: searches for text across the entire workspace; keybinding: `Ctrl+Alt+G`
* **Project**: searches for text within the current project
* **File**: searches for text within a specific file
* **Working Set**: searches for text within a predefined working set of files or projects

### Quick Search

keybinding: `Ctrl+Alt+Shift+L`\
Opens the [Quick Search](/reference/servoy-developer/object-editors/quick-search-wizard.md) wizard.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/menu/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
